Bug 147962 - selinux and authconfig ignored in kickstart
selinux and authconfig ignored in kickstart
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 23:18 EST by blbooth
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 10:39:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ks script from installed system (1.90 KB, text/plain)
2005-02-13 23:18 EST, blbooth
no flags Details

  None (edit)
Description blbooth 2005-02-13 23:18:08 EST
Description of problem:

My kickstart script contains

selinux --disabled
authconfig --enableshadow --enablemd5

but my installed system ends up without shadow passwords and has
SELINUX=enforcing

-----/etc/passwd-----
root:$1$hRlkk0$KRheQev7fQ6RxoxowNkfd/:0:0:root:/root:/bin/bash
bin:*:1:1:bin:/bin:/sbin/nologin
daemon:*:2:2:daemon:/sbin:/sbin/nologin
lp:*:4:7:lp:/var/spool/lpd:/sbin/nologin
<snip>
---------------------


-----/etc/selinux/config-----
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcing - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - No SELinux policy is loaded.
SELINUX=enforcing
# SELINUXTYPE= can take one of these two values:
#       targeted - Only targeted network daemons are protected.
#       strict - Full SELinux protection.
SELINUXTYPE=targeted
-----------------------------
Comment 1 blbooth 2005-02-13 23:18:08 EST
Created attachment 111042 [details]
ks script from installed system
Comment 2 Jeremy Katz 2005-02-14 10:39:42 EST
You removed authconfig from the list of packages to be installed.  authconfig is
required for setting up the selinux and auth related stuff.
Comment 3 blbooth 2005-02-14 18:15:07 EST
> You removed authconfig from the list of packages to be installed.  authconfig is
> required for setting up the selinux and auth related stuff.

Ooops.  Thanks for pointing that out.  Sorry to bother you.

Note You need to log in before you can comment on or make changes to this bug.